Create order

This is where you can initiate an order with ShopBack, by using the initiateOrder method. We also provide a number of methods to refund orders. For example if the consumer returns one (or all) item(s) of an order, you can initiate a full or partial refund. You would be asked to send us the SKU number of the items to be refunded.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params
number
required
≥ 1

Total amount of order, includes all items

number

Pre discount amount of order, includes all items

string

Any voucher code to be applied on order

number

The discount amount

string

Consumer's email

string

Consumer's Phone Number

string

The server to server payment notification (payment notification webhook). Refer here for more details

string

The URL to which merchant would like to redirect users once the charging is completed for failed transaction

string

The URL to which merchant would like to redirect users once transaction is completed for successful transaction

string

Platform Version

int32

Consumer's country code

string

Title of the consumer

string

Consumer's First Name

string

Consumer's Last Name

string

Consumer's Middle Name

number

Total tax for the order

string
required

Currency of the order in the 3 figure code as per ISO 4217

string
enum

Shipping method preferred for order

Allowed:
shippingAddress
object
required
billingAddress
object
required
items
array of objects
required

List of order items

items*
string

Merchant order reference. This is the field that the merchant uses to identify the order from their side on. This field is deprecated. Please use cartId or merchantOrderId depending on your order creation strategy.

number

This field captures the shipping fees associated with the chosen shipping method

string

The final merchant order id. This is applicable for platforms which creates the order id as soon as the checkout process starts, for e.g. Woocommerce orders. Platforms such as Shopify does not create an order until the callback is triggered. Such platforms make use of an internal reference id, also called cart Id - use the field merchantRef for internal reference id.

string

Merchant's cart id. This field stores the merchant's card id value. This is the internal order reference number until the order is created at the merchant's store.

string

Merchant's Online Store identifier at ShopBack side. If it is omitted latest created Online Store will be used

partner
object

Merchant information for ShopBack partner

Headers
string
required

Authorization

string

Idempotent Id for the request. If this is absent, every request will be treated as unique and will be processed as such. (This is optional for now, but will be made required in the future)

Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json